Bug 183261 - CVE-2006-0903 Mysql log file obfuscation
CVE-2006-0903 Mysql log file obfuscation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
4
All Linux
low Severity low
: ---
: ---
Assigned To: Tom Lane
David Lawrence
source=secunia,reported=20060227,impa...
: Security
Depends On:
Blocks: CVE-2006-0903
  Show dependency treegraph
 
Reported: 2006-02-27 15:15 EST by Josh Bressers
Modified: 2013-07-02 23:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 21:51:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-02-27 15:15:29 EST
Mysql log file obfuscation

http://secunia.com/advisories/19034

The following text is from tgl:

Yeah, problem confirmed locally: the query log message is truncated,

060227 11:15:47       6 Connect     root@localhost on test
6 Query       /* x */ select 2+2
6 Quit
060227 11:16:24       7 Connect     root@localhost on test
7 Query       /*
7 Quit

The report is perhaps deliberately obscure: you can *not* exploit this
through mysql_query() because it expects a null-terminated string
anyway.  But you can exploit it through mysql_real_query() which takes
a pointer and count.

I'd class the severity as pretty low, since all it allows is hiding
some traces of an attack after the attacker has already broken into
the database.  But since MySQL make a point of how mysql_real_query()
supports embedded nulls in the query string, it's certainly a bug.


This issue also affects FC3
Comment 1 Josh Bressers 2006-02-27 15:20:11 EST
attachment 125344 [details] is a testcase from tgl:

    I've attached a test case.	Start the server with query logging enabled
    (easiest way is to modify the init script to add "--log" to the
    mysqld_safe command line), run program, look at log file.
Comment 3 Tom Lane 2006-05-17 21:51:26 EDT
This is fixed by upstream changes in 4.1.19.

Note You need to log in before you can comment on or make changes to this bug.